package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.NurseConfig;
import com.diagbot.vo.NurseConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 护理映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2021-04-26
 */
public interface NurseConfigMapper extends BaseMapper<NurseConfig> {
    /**
     * 分页查询
     *
     * @param nurseConfigPageVO
     * @return
     */
    IPage<NurseConfig> getPage(@Param("nurseConfigPageVO") NurseConfigPageVO nurseConfigPageVO);

    /**
     * 护理搜索
     *
     * @param retrievalVO
     * @return
     */
    List<NurseConfig> getNursesIndex(RetrievalVO retrievalVO);

}
