package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.NurseConfig;
import com.diagbot.mapper.NurseConfigMapper;
import com.diagbot.service.NurseConfigService;
import com.diagbot.vo.NurseConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 护理映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-04-26
 */
@Service
public class NurseConfigServiceImpl extends ServiceImpl<NurseConfigMapper, NurseConfig> implements NurseConfigService {
    /**
     * 分页查询
     *
     * @param nurseConfigPageVO
     * @return
     */
    @Override
    public IPage<NurseConfig> getPage(@Param("nurseConfigPageVO") NurseConfigPageVO nurseConfigPageVO) {
        return baseMapper.getPage(nurseConfigPageVO);
    }

    /**
     * 护理搜索
     *
     * @param retrievalVO
     * @return
     */
    @Override
    public List<NurseConfig> getNursesIndex(RetrievalVO retrievalVO) {
        return baseMapper.getNursesIndex(retrievalVO);
    }
}
