package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.TcmsyndromeConfig;
import com.diagbot.mapper.TcmsyndromeConfigMapper;
import com.diagbot.service.TcmsyndromeConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.TcmsyndromeConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 中医证候映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-05-13
 */
@Service
public class TcmsyndromeConfigServiceImpl extends ServiceImpl<TcmsyndromeConfigMapper, TcmsyndromeConfig> implements TcmsyndromeConfigService {
    /**
     * 分页查询
     *
     * @param tcmsyndromeConfigPageVO
     * @return
     */
    @Override
    public IPage<TcmsyndromeConfig> getPage(@Param("tcmsyndromeConfigPageVO") TcmsyndromeConfigPageVO tcmsyndromeConfigPageVO) {
        return baseMapper.getPage(tcmsyndromeConfigPageVO);
    }


    /**
     * 中医证候搜索
     *
     * @param retrievalVO
     * @return
     */
    @Override
    public List<TcmsyndromeConfig> getTcmsyndromesIndex(RetrievalVO retrievalVO) {
        return baseMapper.getTcmsyndromesIndex(retrievalVO);
    }
}
